Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.892.025 Times

Foxit Reader 8.3.2.25013

  Date Added: September 18, 2017  |  Visits: 26.981
5 Stars5 Stars5 Stars5 Stars5 Stars

Foxit Reader
Full screenshot

Report Broken Link
Printer Friendly Version


Product Homepage
Download (1437 downloads)



Issues Addressed in Foxit Reader 8.3.2

• Fixed an issue where Foxit Reader PDF Printer in version 8.3.1 failed to print certain items normally.

• Addressed a potential issue where when the application is not running in Safe-Reading-mode, it could be exposed to command injection vulnerability with abusing the app.launchURL JavaScript call to execute a local program. (ZDI-CAN-4724)

• Addressed a potential issue where when the application is not running in Safe-Reading-Mode, it could be exposed to an Arbitrary File Write vulnerability with abusing the this.saveAs function call to drop a file to the local file system. (ZDI-CAN-4518)

• Addressed a potential issue where when the application is not running in Safe-Reading-Mode, it could be exposed to an Arbitrary Write vulnerability with abusing the createDataObject function call to create arbitrary executable file in the local file system.

• Addressed a potential issue where when the application is not running in Safe-Reading-Mode, it could be exposed to command injection vulnerability with abusing the xfa.host.gotoURL function call to open arbitrary executable file. (ZDI-CAN-5030)

Requirements: No special requirements
Release Date: August 26, 2017
Platforms: Win7 x32, Win7 x64, WinVista
Keyword: Annotate And Print Collaborate And Share Convert Create Foxit Reader Free Pdf Creation Over 475 Million Users Pdf Conversion Pdf Viewer
Users rating: 9/10

License: Freeware Size: 52 MB
USER REVIEWS
(31 March 2016, 20:44)

Comments:

I tried every PDF reader I could find and this is by far the best. It is lightweight and runs super fast. Also it consumes very little system resource.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(18 January 2015, 10:08)

Comments:

Definitely worth having it. Great pdf reader tool.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(13 October 2014, 11:06)

Comments:

Love it for fast scrolling and convenient layout navigating. It's a must have pdf app.
Ease of use : 5 Stars5 Stars5 Stars5 Stars5 Stars
Functionality : 5 Stars5 Stars5 Stars5 Stars5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 5 Stars5 Stars5 Stars5 Stars5 Stars
 
(20 April 2014, 11:11)

Comments:

I use it for reading ebooks. It's very fast and powerful.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(29 March 2014, 09:53)

Comments:

This is the best free pdf reader I have ever used. Simple and lightweight.
Ease of use : 5 Stars5 Stars5 Stars5 Stars5 Stars
Functionality : 5 Stars5 Stars5 Stars5 Stars5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 5 Stars5 Stars5 Stars5 Stars5 Stars
 
More Reviews or Write Review


FOXIT READER RELATED
Graphics Editors  -  ALSee v4.12Beta1 1.0
Quickly view, edit, organize, share, and print photos and pictures. Batch jobs let you add effects, borders, resize, rename, or convert image formats for thousands of pictures instantly. View slide shows with mp3 music, or print multiple pictures...
5.44 MB  
Multimedia & Graphics  -  Autodesk Design Review 2012 12.0.0.93
With Autodesk Design Review you can easily view and print 2D and 3D designs in DWF format. This is the smartest way to share accurate design information with those who need it. Design Review enables your entire project or product team to view,...
46.5 MB  
Graphics Viewers  -  Autodesk Design Review 2012 12.0.0.93
With Autodesk Design Review you can easily view and print 2D and 3D designs in DWF format. This is the smartest way to share accurate design information with those who need it. Design Review enables your entire project or product team to view,...
46.5 MB  
Games  -  Abbys Celebrity Salon Free 4
Welcome to the Celebrity Hair Salon! Meet our 4 Superstars and become their personal stylist. A World of hairstyling and spa treatments await you as you create your own individual masterpieces and then you can share them with your friends....
171 MB  
Games  -  Abbys Celebrity Salon HD 3
Welcome to the Celebrity Hair Salon! Meet our 4 Superstars and become their personal stylist. A World of hairstyling and spa treatments await you as you create your own individual masterpieces and then you can share them with your friends....
171 MB  
Training Tools  -  Effective Free Whiteboard 5.0
Imagine - your pen never runs out and also, at no time gets dusty or dirty. Have a free digital whiteboard on your computer for tutoring and home-schooling. Make teaching interactive and fun with a virtual whiteboard at home. Children of...
2.79 MB  
Photo & Video  -  Chiizu ~ Live Visually 2.1.1
Over 1 million users! New and Noteworthy. Top 10 overall app throughout Asia. Presenting Chiizu version 2! Chiizu brings your photos to life by offering unique content by artists and designers from around the world. Each Chiizu...
32.1 MB  
Utilities  -  Euro Banknote Validator 1.0
Euro Banknote Validator is an app which lets you decode and validate information on Euro banknotes. Enter the serial number and print code and Euro Banknote Validator will tell you by who and where the banknote was printed, and (if applicable) the...
512 KB  
Entertainment  -  Kwak Up! 1.2
Heading out with friends? Starting a new job? Whatever youre doing, tell people with Kwak Up and let your duck do the talking. Update at any time with over 40 million possible combinations of looks and accessories so you can tell...
18.5 MB  
Social Networking  -  Weico 1.2.1.0
Weico, the most popular client-side of Sina Weibo in Appstore, has now landed Windows Phone.The elaborate design and function make Weico capable for all your personal require. So far, it has been over 10 million users already surfing with Weico,...
4 MB  
NEW DOWNLOADS IN WINDOWS SOFTWARE, UTILITIES
Windows Software  -  Movie Box App 3.3.8
Movie Box is Best Application for watching movie, TV shows , Music video, here you to give us clear step by step guide how to download and install Moive Box for Android , all user can free download Movie Box and most user friendly apps. All PC or...
67.23 KB  
Windows Software  -  Cydia Download 1.1.10
This is one of the best freeware released for users. What is Cydia Download ? This is simple downloader which has developed for install Cydia for your device less than ten minutes of time. This freeware is important for all jailbreak users. You...
67.23 KB  
Windows Software  -  Jihosoft iOS10 Backup Extractor 7.0.7
What can you do to extract and recover your iPhone data if you get them lost for the following reasons: 1.Deleted important data from iPhone by mistake. 2.iPhone is damaged, lost or stolen. 3.iPhone stuck in black/white screen of death, iPhone...
16.5 MB  
Windows Software  -  Screenshot Captor 4.15.0
Screenshot Captor is designed for grabbing lots of screenshots with minimal intervention. It has great multimon suport and includes a full image explorer with full shell functionality and unsurpassed integration with external tools like graphic...
7.15 MB  
Windows Software  -  MonitorPack Guard 5.4.1
MonitorPack provides Windows tools at no cost for server monitoring, IT asset management and help Desk solution, optional Cloud Solution (IaaS or Infrastructure as a Service) Cloud Application (Platform as a Service) and software on demand (SaaS...
11.01 MB  
Utilities  -  Free Format Recovery Software 6.0.0
Free Format Data Recovery software download for Windows to recover data after format device or device shows raw file system inaccessible not recognized with all kinds of digital devices supported lik hdd, usb flash drive, memory card. Undo quick...
4.08 MB  
Utilities  -  WinExt Free 2.0
WinExt is a FREE utilities kit for Windows. You can enjoy the following features by using it: 1. Quickly find the duplicate files on your drives relied on file contents. Key features: comparing file contents, 100% accurate result. High-speed...
668 KB  
Utilities  -  AKick Data Recovery 1.3
AKick Data Recovery is a software that efficiently recovers deleted data files on storage devices, system drives and memory cards. The software is compatible with all Windows versions including Windows 10 and supports all storage devices for data...
2.65 MB  
Utilities  -  iCleaner Pro 1.0.7.34
i cleaner pro is PC Cleanup and optimizer Software to optimise the PC perfomance with Junk files cleaning and optimize it. Basic features of iCleaner Pro is as :- Clean the Junk Files of Your PC. Clean the Recycle Bin Clean Internet Explorer...
2.86 MB  
Utilities  -  IM-Magic Partition Resizer Free 3.2
Fix low disk space with IM-Magic Partition Resizer Free that is able to resize partition without data loss and rearrange disk space when system is running out of space. IM-Magic Partition Resizer Free is a powerful, reliable and free partition...
7.47 MB